%define	name	chkfontpath
%define	version	1.10.1
%define	release	%mkrel 1

Summary:	Simple interface for editing the font path for the X font server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/X11
BuildRequires:	popt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}-%{version}.tar.gz
Patch0:		chkfontpath-1.7-unscaled.patch
Requires:	xfs /sbin/pidof

%description 
This is a simple terminal mode program for configuring the directories
in the X font server's path. It is mostly intended to be used
`internally' by RPM when packages with fonts are added or removed, but
it may be useful as a stand-alone utility in some instances.

%prep
%setup -q
%patch0 -p1 -b .old

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
perl -pi -e "s!/usr/man!%{_mandir}!g" Makefile man/Makefile
%makeinstall INSTROOT=$RPM_BUILD_ROOT BINDIR=%{_sbindir} MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/chkfontpath
%{_mandir}/man8/chkfontpath.8*


%changelog
* Fri Mar 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.10.1-1mdv2007.0
+ Revision: 131216
- new release: 1.10.1
- removed dev-null patch (applied upstream)
- bunzipped remaining patch

* Fri Nov 03 2006 Pablo Saratxaga <pablo@mandriva.com> 1.10.0-3mdv2007.1
+ Revision: 76296
- corrected system call to kill to properly direct stderr to /dev/null
- changed group to System/X11
- Import chkfontpath



* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.10.0-2mdk
- Rebuild

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.10.0-1mdk
- 1.10.0

* Thu Jul 10 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.9.10-1mdk
- 1.9.10

* Sun May 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9.5-2mdk
- rebuild for rpm 4.2

* Fri Jun  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.9.5-1mdk
- 1.9.5

* Wed Oct 18 2000 dam's <damien@mandrakesoft.com> 1.7-4mdk
- added patch0 (chkfontpath-1.7-unscaled.patch) to be able to add an unscaled fonts dir.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7-3mdk
- automatically added BuildRequires


* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7-2mdk
- BM, macros

* Fri Mar 31 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7-1mdk
- 1.7
- group fix.

* Sun Mar  5 2000 Pixel <pixel@mandrakesoft.com> 1.5-3mdk
- add require pidof

* Mon Sep 14 1999 Sean P. Kane <kane@ca.metsci.com>
- Merged Mandrake 1.4.1 and Redhat 1.5 RPMS.
- Removed Patch

* Fri Aug 15 1999 Preston Brown <pbrown@redhat.com>
- fixed up basename
- default to list, not help
- if trailing slash '/' is appended to paths given, strip it off

* Thu May 22 1999 Alexei Mikhalev <leha@linuxfan.com>
- added "first" option. Fixed first line deletion.

* Thu Apr 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- preserve permissions on config file

* Thu Apr 07 1999 Preston Brown <pbrown@redhat.com>
- if /proc isn't mounted, don't do a killall

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- don't use psmisc, use pidof from SysVinit

* Fri Mar 12 1999 Preston Brown <pbrown@redhat.com>
- made psmisc a requirement.

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- added "quiet" option.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- injected new group / description.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- important fix - kill font server with USR1 instead of HUP.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- initial spec file
